<?php
/**
 * @file
 * commerce_canadian_taxes.features.inc
 */

/**
 * Implements hook_commerce_tax_default_rates().
 */
function commerce_canadian_taxes_commerce_tax_default_rates() {
  $items = array(
    'gst' => array(
  'name' => 'gst',
  'display_title' => 'GST',
  'description' => 'National tax rate',
  'rate' => '.05',
  'type' => 'sales_tax',
  'rules_component' => 'commerce_tax_rate_gst',
  'default_rules_component' => '0',
  'price_component' => 'tax|gst',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'GST',
  'admin_list' => TRUE,
),
    'hst_bc_' => array(
  'name' => 'hst_bc_',
  'display_title' => 'HST BC',
  'description' => 'Harmonized Sales Tax for BC',
  'rate' => '.12',
  'type' => 'vat',
  'rules_component' => 'commerce_tax_rate_hst_bc_',
  'default_rules_component' => '0',
  'price_component' => 'tax|hst_bc_',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'HST BC',
  'admin_list' => TRUE,
),
    'hst_nb' => array(
  'name' => 'hst_nb',
  'display_title' => 'HST New Brunswick',
  'description' => 'New Brunswick Harmonized Sales Tax',
  'rate' => '.13',
  'type' => 'vat',
  'rules_component' => 'commerce_tax_rate_hst_nb',
  'default_rules_component' => '0',
  'price_component' => 'tax|hst_nb',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'HST NB',
  'admin_list' => TRUE,
),
    'hst_nl' => array(
  'name' => 'hst_nl',
  'display_title' => 'HST NL',
  'description' => 'Newfoundland and Labrador HST',
  'rate' => '.13',
  'type' => 'vat',
  'rules_component' => 'commerce_tax_rate_hst_nl',
  'default_rules_component' => '0',
  'price_component' => 'tax|hst_nl',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'HST NL',
  'admin_list' => TRUE,
),
    'hst_ns' => array(
  'name' => 'hst_ns',
  'display_title' => 'HST NS',
  'description' => 'Nova Scotia HST',
  'rate' => '.15',
  'type' => 'vat',
  'rules_component' => 'commerce_tax_rate_hst_ns',
  'default_rules_component' => '0',
  'price_component' => 'tax|hst_ns',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'HST NS',
  'admin_list' => TRUE,
),
    'hst_on' => array(
  'name' => 'hst_on',
  'display_title' => 'HST ON',
  'description' => 'Ontario HST',
  'rate' => '.13',
  'type' => 'vat',
  'rules_component' => 'commerce_tax_rate_hst_on',
  'default_rules_component' => '0',
  'price_component' => 'tax|hst_on',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'HST ON',
  'admin_list' => TRUE,
),
    'pst_mb' => array(
  'name' => 'pst_mb',
  'display_title' => 'PST Manitoba',
  'description' => 'Manitoba provincial sales tax',
  'rate' => '.07',
  'type' => 'sales_tax',
  'rules_component' => 'commerce_tax_rate_pst_mb',
  'default_rules_component' => '0',
  'price_component' => 'tax|pst_mb',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'PST MB',
  'admin_list' => TRUE,
),
    'pst_pe' => array(
  'name' => 'pst_pe',
  'display_title' => 'PST PE',
  'description' => 'Prince Edward Island PST',
  'rate' => '.105',
  'type' => 'sales_tax',
  'rules_component' => 'commerce_tax_rate_pst_pe',
  'default_rules_component' => '0',
  'price_component' => 'tax|pst_pe',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'PST PE',
  'admin_list' => TRUE,
),
    'pst_sk' => array(
  'name' => 'pst_sk',
  'display_title' => 'PST SK',
  'description' => 'Saskatchewan PST',
  'rate' => '.10',
  'type' => 'sales_tax',
  'rules_component' => 'commerce_tax_rate_pst_sk',
  'default_rules_component' => '0',
  'price_component' => 'tax|pst_sk',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'PST SK',
  'admin_list' => TRUE,
),
    'qst' => array(
  'name' => 'qst',
  'display_title' => 'PST Quebec (QST/TVQ)',
  'description' => 'Quebec tax',
  'rate' => '.09975',
  'type' => 'sales_tax',
  'rules_component' => 'commerce_tax_rate_qst',
  'default_rules_component' => '0',
  'price_component' => 'tax|qst',
  'calculation_callback' => 'commerce_tax_rate_calculate',
  'module' => 'commerce_tax_ui',
  'title' => 'PST Quebec (QST/TVQ)',
  'admin_list' => TRUE,
),
  );
  return $items;
}
